/* files.h */
#ifndef _FILES_H
#define _FILES_H

#define MAX_INTERFACES	6
#ifdef ACTION_TEC_QWEST_06
#define MAX_KEYWORDS	23 
#else
#define MAX_KEYWORDS	19
#endif

struct config_keyword {
	char keyword[32];
	int (*handler)(char *line, void *var);
	void *var;
	char def[30];
};

struct config_kw_arr {
	struct config_keyword keywords[MAX_KEYWORDS];
};

int read_config(char *file);
void write_leases(int ifid);
void read_leases(char *file, int ifid);

#endif
