# Flush (-F) all specific rules
#iptables -F INPUT 
#iptables -F FORWARD 
#iptables -F OUTPUT 
#iptables -F -t nat

iptables -P INPUT ACCEPT
iptables -P FORWARD ACCEPT
iptables -P OUTPUT ACCEPT

WAN=$1
LAN=$2
NETMEETING_HOST=$3
PPPOE=$4

sleep 3

#for MSN detection mechanism.
iptables -D INPUT -p ICMP -j ACCEPT
iptables -A INPUT -p ICMP -j ACCEPT
iptables -D INPUT -p all -i $WAN -m state --state RELATED,ESTABLISHED -j ACCEPT
iptables -A INPUT -p all -i $WAN -m state --state RELATED,ESTABLISHED -j ACCEPT
iptables -D INPUT -p all -i $WAN -j DROP
iptables -A INPUT -p all -i $WAN -j DROP
#wan rip drop
iptables -D OUTPUT -o $WAN -p udp -s 0/0 -d 0/0 --source-port 520 -j DROP
iptables -A OUTPUT -o $WAN -p udp -s 0/0 -d 0/0 --source-port 520 -j DROP

if [ "$NETMEETING_HOST" = "none" ]
	then
	NETMEETING_HOST=""
fi	
if [ "$PPPOE" = "PPPOE" ]
	then
iptables -D FORWARD -p tcp -m tcp --tcp-flags SYN,RST SYN -j TCPMSS --clamp-mss-to-pmtu
iptables -A FORWARD -p tcp -m tcp --tcp-flags SYN,RST SYN -j TCPMSS --clamp-mss-to-pmtu
iptables -D OUTPUT -p tcp -m tcp --tcp-flags SYN,RST SYN -j TCPMSS --clamp-mss-to-pmtu
iptables -A OUTPUT -p tcp -m tcp --tcp-flags SYN,RST SYN -j TCPMSS --clamp-mss-to-pmtu
fi

if [ -f /var/tmp/act_firewall_flush ] 
	then
/var/tmp/act_firewall_flush
fi
if [ -f /var/tmp/act_firewall ] 
	then
/var/tmp/act_firewall
fi

if [ -f /etc/mssid_firewall ]
then
/etc/mssid_firewall $2
fi
