Summary: TI Led configuration application
Name: TI_Linux-target-ledcfg
Version: 0.1.1
Vendor: Texas Instruments
Release: TI%{TI_release_version}
License: GPL
Source0: TI-ledcfg-%{version}.orig.tar.gz
Group: Filesystem

%define pkgname ti_linux-%{_hhl_target_arch}-ledcfg
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
TI LED configuring application

%package -n %{pkgname}
Summary: TI LED configuring application
Group: system
AutoReqProv: no
%description -n %{pkgname}
TI base filesystem components

%Prep
%target_check
%setup -q -n TI-ledcfg-%{version}

%Build
export PATH=%{TI_uclibc_path}:$PATH
%make KERNEL_DIR=%{TI_kernel_path}/%{TI_kernel_version}
%{_hhl_target_arch}-strip -s ledcfg

%Install
%target_setup
install -m 0755 ledcfg %{TI_build_home}/%{TI_linux_home}/%{TI_rsbindir}/ledcfg

%clean
rm -rf *

%Files
%defattr(-,root,root)
%{TI_rsbindir}/ledcfg


%changelog
* Fri Feb 7 2003 (Mukesh Kumar <mkumar@telogy.com>)
- Initial packaging of TI Led application





